clang-tools 10.0.0

Namespaces | Functions
TestTU.cpp File Reference
`#include "TestTU.h"`
`#include "Compiler.h"`
`#include "Diagnostics.h"`
`#include "TestFS.h"`
`#include "index/FileIndex.h"`
`#include "index/MemIndex.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Frontend/Utils.h"`
Include dependency graph for TestTU.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
const Symbol & | clang::clangd::findSymbol (const SymbolSlab &Slab, llvm::StringRef QName)
const NamedDecl & | clang::clangd::findDecl (ParsedAST &AST, llvm::StringRef QName)
const NamedDecl & | clang::clangd::findDecl (ParsedAST &AST, std::function< bool(const NamedDecl &)> Filter)
const NamedDecl & | clang::clangd::findUnqualifiedDecl (ParsedAST &AST, llvm::StringRef Name)